#include <iomanip>
#include <iostream>
using namespace std;
int t[1000][1000];
int n,m;
int main (){
cin >> n >> m;
for (int i=1;i<=n;i++){
    for (int j=1;j<=m;j++){
        cin >> t[i][j];
    }
}
int a=min(n,m);
for (int i=1;i<=n;i+=a){
    for (int j=1;j<=m;j+=a){
        if (  t[i][j]>=t[1][1])
            t[i][j]='C';
    }
}
for (int i=1;i<=n;i++){
    for (int j=1;j<=m;i++){
        cout << t[i][j];
    }
}














return 0;
}